Name:          libcomedi
Version:       0.12.0
Release:       1mamba
Summary:       A user-space library that provides a developer-friendly interface to Comedi devices
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.comedi.org
Source:        http://www.comedi.org/download//comedilib-%{version}.tar.gz
License:       LGPL
BuildRequires: swig
BuildRequires: flex 
BuildRequires: docbook2X
BuildRequires: docbook-utils
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
# FIXME
#checking for /usr/lib/ruby/1.8/i586-linux/ruby.h... [no build...]
#configure: WARNING: ruby.h not found, disabling Ruby binding
#configure: WARNING: No hotplug mechanism will we installed. Consult ./configure --help if you want hotplug.
# ?????
#  --enable-etc-hotplug    enable old hotplug in /etc/hotplug
#  --with-udev-hotplug=[/lib] enable udev hotplug

%description
Comedilib is a user-space library that provides a developer-friendly interface to Comedi devices.

%package       devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
Comedilib is a user-space library that provides a developer-friendly interface to Comedi devices.
This package contains static libraries and header files needed for development.

SCXI convenience library
%package    -n  libscxi
Group:          System/Libraries
Summary:        SCXI is a National Instruments standard for signal conditioning.
Requires:       %{name} = %{version}

%description -n libscxi
SCXI is a National Instruments standard for signal conditioning.  It encompasses a set of hardware that has the capability of reading and writing multiple types of channels via a regular data acqusition card.
A SCXI system consists of a chassis with one or more SCXI modules located inside. The system is connected via a cable to the data acquisition system, which communicates with the modules This package contains %{name}'s SCXI support.

%package    -n  libscxi-devel
Group:          Development/Libraries
Summary:        Static libraries and headers for libscxi
Requires:       %{name} = %{version}

%description -n libscxi-devel
SCXI is a National Instruments standard for signal conditioning.  It encompasses a set of hardware that has the capability of reading and writing multiple types of channels via a regular data acqusition card.
A SCXI system consists of a chassis with one or more SCXI modules located inside. The system is connected via a cable to the data acquisition system, which communicates with the modules
This package contains static libraries and header files needed for development.

%package   -n  python-comedilib
Group:         System/Libraries/Python
Summary:       Python bindings for %{name}
Requires:      %{name} = %{version}

%description -n python-comedilib
Comedilib is a user-space library that provides a developer-friendly interface to Comedi devices.
This package contains python bindings for %{name}.

%package       docs
Group:         Documentation
Summary:       Documentation for %{name}
Requires:      %{name} = %{version}

%description   docs
Comedilib is a user-space library that provides a developer-friendly interface to Comedi devices.
This package contains documentation for %{name}.

%debug_package

%prep
%setup -q -n comedilib-%{version}

%build
%configure --enable-scxi
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeoldinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post  -n libscxi -p /sbin/ldconfig
%postun -n libscxi -p /sbin/ldconfig

%files
%defattr(-,root,root)
#%{_sysconfdir}/hotplug/usb/usbdux
%{_sysconfdir}/pcmcia/*
%{_bindir}/comedi_board_info
%{_bindir}/comedi_test
#%{_datadir}/comedilib/*.conf
#%{_datadir}/usb/usbdux_firmware.hex
%{_sbindir}/comedi_config
#%{_libdir}/libcomedi-*.so
%{_libdir}/libcomedi.so.*
%{_mandir}/man1/comedi_board_info.1.gz
%{_mandir}/man7/comedi.7.gz
%{_mandir}/man8/comedi_config.8.gz
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%exclude %{_includedir}/comedilib_scxi.h
%{_includedir}/*.hpp
%{_libdir}/libcomedi.a
%{_libdir}/libcomedi.la
%{_libdir}/libcomedi.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

%files -n libscxi
%defattr(-,root,root)
%{_libdir}/libscxi.so.*

%files -n libscxi-devel
%defattr(-,root,root)
%{_includedir}/comedilib_scxi.h
%{_libdir}/libscxi.a
%{_libdir}/libscxi.la
%{_libdir}/libscxi.so

%files -n python-comedilib
%defattr(-,root,root)
%{python_sitearch}/_comedi.a
%{python_sitearch}/_comedi.la
%{python_sitearch}/_comedi.so
%{python_sitearch}/comedi.py

%files docs
%defattr(-,root,root)
%dir %{_docdir}/comedilib
%{_docdir}/comedilib/comedilib.pdf
%{_docdir}/comedilib/*.conf
%{_docdir}/comedilib/html/comedilib.css
%{_docdir}/comedilib/html/*.gif
%{_docdir}/comedilib/html/*.html
%doc INSTALL README
%doc scxi/README

%changelog
* Thu Feb 04 2021 Automatic Build System <autodist@mambasoft.it> 0.12.0-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Wed May 23 2012 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sun Oct 19 2008 gil <puntogil@libero.it> 0.8.1-1mamba
- update to 0.8.1
- added packges: docs; python-comedilib
- WARNING NOT TESTED

* Wed Jul 13 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.22-1qilnx
- package created by autospec
